__gnu_cxx::encoding_char_traits< _CharT >(3cxx)

NAME
__gnu_cxx::encoding_char_traits< _CharT > - encoding_char_traits

SYNOPSIS

#include <codecvt_specializations.h>

Inherits std::char_traits< _CharT >.

  Public Types

typedef _CharT char_type
typedef _Char_types< _CharT >::int_type int_type
typedef _Char_types< _CharT >::off_type off_type
typedef std::fpos< state_type > pos_type
typedef encoding_state state_type

  Static Public Member Functions

static constexpr void assign (char_type &__c1, const char_type &__c2)
static constexpr char_type * assign (char_type *__s, std::size_t __n, char_type __a)
static constexpr int compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr char_type * copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type eof ()
static constexpr bool eq (const char_type &__c1, const char_type &__c2)
static constexpr bool eq_int_type (const int_type &__c1, const int_type &__c2)
static constexpr const char_type * find (const char_type *__s, std::size_t __n, const char_type &__a)
static constexpr std::size_t length (const char_type *__s)
static constexpr bool lt (const char_type &__c1, const char_type &__c2)
static constexpr char_type * move (char_type *__s1, const char_type *__s2, std::size_t __n)
static constexpr int_type not_eof (const int_type &__c)
static constexpr char_type to_char_type (const int_type &__c)
static constexpr int_type to_int_type (const char_type &__c)

Detailed Description

  template<typename _CharT>
struct __gnu_cxx::encoding_char_traits< _CharT >"encoding_char_traits

Author

Generated automatically by Doxygen for libstdc++ from the source code.